kudu-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ale...@apache.org
Subject [2/2] kudu git commit: [security-faults-itest] added another krb5 error message
Date Tue, 11 Apr 2017 17:42:59 GMT
[security-faults-itest] added another krb5 error message

Different versions of krb5 library have different error messages for
the ticket/context expiration error.  Recently, just another variation
has been found by Jenkins:

  'GSSAPI Error: The referenced context has expired'

The 'GSSAPI Error: ' prefix comes from the cyrus-sasl library.

Change-Id: I88462a186bd77ff6102a2a07ab3e885d704c3bb3
Reviewed-on: http://gerrit.cloudera.org:8080/6605
Tested-by: Kudu Jenkins
Reviewed-by: Dan Burkert <danburkert@apache.org>


Project: http://git-wip-us.apache.org/repos/asf/kudu/repo
Commit: http://git-wip-us.apache.org/repos/asf/kudu/commit/ee8592a1
Tree: http://git-wip-us.apache.org/repos/asf/kudu/tree/ee8592a1
Diff: http://git-wip-us.apache.org/repos/asf/kudu/diff/ee8592a1

Branch: refs/heads/master
Commit: ee8592a1f48a95a58b60772fb9f4cdf63acc2186
Parents: c47730a
Author: Alexey Serbin <aserbin@cloudera.com>
Authored: Mon Apr 10 16:03:31 2017 -0700
Committer: Alexey Serbin <aserbin@cloudera.com>
Committed: Tue Apr 11 17:41:33 2017 +0000

----------------------------------------------------------------------
 src/kudu/integration-tests/security-faults-itest.cc | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/kudu/blob/ee8592a1/src/kudu/integration-tests/security-faults-itest.cc
----------------------------------------------------------------------
diff --git a/src/kudu/integration-tests/security-faults-itest.cc b/src/kudu/integration-tests/security-faults-itest.cc
index f71c4d1..f68f21d 100644
--- a/src/kudu/integration-tests/security-faults-itest.cc
+++ b/src/kudu/integration-tests/security-faults-itest.cc
@@ -217,6 +217,9 @@ TEST_F(SecurityComponentsFaultsITest, KdcRestartsInTheMiddle) {
   // It seems different version of krb5 library handles the error differently:
   // in some cases, the error is about ticket expiration, in other -- failure
   // to contact KDC.
+  //
+  // Also, different versions of krb5 library have different error messages
+  // for the same error.
   const Status s = SmokeTestCluster();
   ASSERT_TRUE(s.IsNotAuthorized()) << s.ToString();
   ASSERT_STR_MATCHES(s.ToString(),
@@ -224,7 +227,8 @@ TEST_F(SecurityComponentsFaultsITest, KdcRestartsInTheMiddle) {
       "Client connection negotiation failed: client connection to .* ("
       "Cannot contact any KDC for realm .*|"
       "Ticket expired.*|"
-      "GSSAPI Error:  The context has expire.*)");
+      "GSSAPI Error:  The context has expire.*|"
+      "GSSAPI Error: The referenced context has expired .*)");
 #endif
 
   ASSERT_OK(cluster_->kdc()->Start());


Mime
View raw message